[gdm] autogen.sh: Use autoreconf instead gnome-autogen
- From: Ray Strode <halfline src gnome org>
- To: commits-list gnome org
- Cc:
- Subject: [gdm] autogen.sh: Use autoreconf instead gnome-autogen
- Date: Tue, 4 Sep 2012 20:48:54 +0000 (UTC)
commit 0f2caf80bfab50ce4632e9f7944de780a9341cc0
Author: Javier JardÃn <jjardon gnome org>
Date: Fri Aug 31 13:40:38 2012 +0800
autogen.sh: Use autoreconf instead gnome-autogen
https://bugzilla.gnome.org/show_bug.cgi?id=681604
autogen.sh | 37 +++++++++++++++++++------------------
configure.ac | 10 ++++++----
2 files changed, 25 insertions(+), 22 deletions(-)
---
diff --git a/autogen.sh b/autogen.sh
index f857474..2fd9755 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,25 +1,26 @@
#!/bin/sh
# Run this to generate all the initial makefiles, etc.
-REQUIRED_AUTOMAKE_VERSION=1.5
-USE_GNOME2_MACROS=1
+test -n "$srcdir" || srcdir=`dirname "$0"`
+test -n "$srcdir" || srcdir=.
-srcdir=`dirname $0`
-test -z "$srcdir" && srcdir=.
+olddir=`pwd`
+cd $srcdir
-PKG_NAME="GDM"
+AUTORECONF=`which autoreconf`
+if test -z $AUTORECONF; then
+ echo "*** No autoreconf found, please intall it ***"
+ exit 1
+fi
-(test -f $srcdir/configure.ac \
- && test -d $srcdir/daemon \
- && test -f $srcdir/daemon/gdm-display.h) || {
- echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
- echo " top-level gdm directory"
- exit 1
-}
+INTLTOOLIZE=`which intltoolize`
+if test -z $INTLTOOLIZE; then
+ echo "*** No intltoolize found, please install the intltool package ***"
+ exit 1
+fi
-which gnome-autogen.sh || {
- echo "You need to install gnome-common from the GNOME SVN"
- exit 1
-}
-#USE_GNOME2_MACROS=1 . gnome-autogen.sh
-. gnome-autogen.sh
+autopoint --force
+AUTOPOINT='intltoolize --automake --copy' autoreconf --force --install --verbose
+
+cd $olddir
+test -n "$NOCONFIGURE" || "$srcdir/configure" "$@"
diff --git a/configure.ac b/configure.ac
index 27c63ed..40774e5 100644
--- a/configure.ac
+++ b/configure.ac
@@ -41,20 +41,22 @@ AC_SUBST(VERSION)
AM_CONFIG_HEADER(config.h)
AC_CONFIG_MACRO_DIR([m4])
-IT_PROG_INTLTOOL([0.40.0])
-
GNOME_DOC_INIT
AC_ARG_ENABLE([documentation],
AS_HELP_STRING([--enable-documentation], [enable man pages and HTML documentation]),
[], [enable_documentation=yes])
AM_CONDITIONAL(ENABLE_DOCUMENTATION, test x$enable_documentation = xyes)
+# i18n stuff
+IT_PROG_INTLTOOL([0.40.0])
+
+AM_GNU_GETTEXT_VERSION([0.17])
+AM_GNU_GETTEXT([external])
+
GETTEXT_PACKAGE=gdm
AC_SUBST(GETTEXT_PACKAGE)
AC_DEFINE_UNQUOTED(GETTEXT_PACKAGE, "$GETTEXT_PACKAGE", [gettext package])
-AM_GLIB_GNU_GETTEXT
-
dnl ---------------------------------------------------------------------------
dnl - Dependencies
dnl ---------------------------------------------------------------------------
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]